Bug 17281 - Warning when saving subfield structure
Summary: Warning when saving subfield structure
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Bibliographic data support (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Frédéric Demians
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-09 05:58 UTC by Frédéric Demians
Modified: 2017-12-07 22:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17281 Warning when saving subfield structure (1.86 KB, patch)
2016-09-09 06:03 UTC, Frédéric Demians
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 17281 Warning when saving subfield structure (1.97 KB, patch)
2016-09-09 13:25 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 17281 Warning when saving subfield structure (1.98 KB, patch)
2016-09-10 07:23 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Demians 2016-09-09 05:58:14 UTC
Saving MARC subfield structure for any tag raises a warning in
/var/log/koha/library/intranet-error.log

  Use of uninitialized value in string eq at
  /usr/share/koha/intranet/cgi-bin/admin/marc_subfields_structure.pl

From this line is the:

  unless ( C4::Context->config('demo') or C4::Context->config('demo') eq 1 ) {
Comment 1 Frédéric Demians 2016-09-09 06:03:57 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-09-09 13:25:10 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-09-10 07:23:33 UTC
Created attachment 55456 [details] [review]
[PASSED QA] Bug 17281 Warning when saving subfield structure

TO TEST:

1. Home > MARC Framework > Default > Actions > MARC structure
2. On 073 field (for example), click Edit
3. Click on Edit subfield button
4. Click on Save changes
5. Take a look in intranet logs. You find:
   Use of uninitialized value in string eq at
   ../admin/marc_subfields_structure.pl
6. Apply the patch, and repeat steps 3-5
   => no more warning in log

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Kyle M Hall 2016-09-12 10:11:40 UTC
Pushed to master for 16.11, thanks Frédéric!
Comment 5 Frédéric Demians 2016-09-13 07:57:00 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 6 Julian Maurice 2016-09-16 09:24:22 UTC
Pushed to 3.22.x, will be in 3.22.11